package eu.mhsl.craftattack.spawn.appliances.feedback.commands;

import eu.mhsl.craftattack.spawn.Main;
import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.appliances.feedback.Feedback;
import eu.mhsl.craftattack.spawn.util.text.ComponentUtil;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class FeedbackCommand extends ApplianceCommand.PlayerChecked<Feedback> {
    public FeedbackCommand() {
        super("feedback");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        sender.sendMessage(ComponentUtil.pleaseWait());
        Bukkit.getScheduler().runTaskAsynchronously(Main.instance(), () -> {
            this.getAppliance().requestFeedback("self-issued-ingame", List.of(this.getPlayer()), null);
        });
    }
}
