package eu.mhsl.craftattack.spawn.appliances.feedback.commands;

import eu.mhsl.craftattack.spawn.Main;
import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.appliances.feedback.Feedback;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;

public class RequestFeedbackCommand extends ApplianceCommand<Feedback> {
    public RequestFeedbackCommand() {
        super("requestFeedback");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        Bukkit.getScheduler().runTaskAsynchronously(Main.instance(), () -> {
            this.getAppliance().requestFeedback("admin-issued-ingame", new ArrayList<>(Bukkit.getOnlinePlayers()), String.join(" ", args));
        });
    }
}
